<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>bigint_s</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="percentbigint_r_s.html">&lt;&lt; bigint_r_s</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_45e0f2d33e387feb1d15bb9b74c0c25a.html">bigint</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="percentbigint_s_bigint.html">bigint_s_bigint &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">bigint</a> &gt;&gt; <a href="section_45e0f2d33e387feb1d15bb9b74c0c25a.html">bigint</a> &gt; bigint_s</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">bigint_s</h1>
    <p class="refpurpose">unary operator - (minus) for bigint</p></div>


<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">x,y:</span>
            <dd><p class="para">bigint</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">bigint opposite</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">-1234567890</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span>
<span class="scilaboperator">-</span><span class="scilabid">x</span>
<span class="scilabcomment">// special case </span><span class="scilabcomment">&#0034;</span><span class="scilabcomment">-0=0</span><span class="scilabcomment">&#0034;</span>
<span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">0</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span>
<span class="scilaboperator">-</span><span class="scilabid">x</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="bigint.html" class="link">bigint</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Philippe Roux</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="percentbigint_r_s.html">&lt;&lt; bigint_r_s</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_45e0f2d33e387feb1d15bb9b74c0c25a.html">bigint</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="percentbigint_s_bigint.html">bigint_s_bigint &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
